import apiClient from "./apiClient";

export const registerUser = async (data) => {
  const response = await apiClient.post("/auth/register", data);
  return response.data;
};

export const loginUser = async (data) => {
  const response = await apiClient.post("/auth/login", data);
  return response.data;
};

export const logoutUser = async () => {
  const response = await apiClient.post("/auth/logout");
  return response.data;
};

export const getSession = async () => {
  const response = await apiClient.get("/auth/session");
  return response.data;
};

export const recoverPassword = async (data) => {
  const response = await apiClient.post("/auth/recover-password", data);
  return response.data;
};
